Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

problem with miniperl #9384

Closed
p5pRT opened this issue Jun 18, 2008 · 10 comments
Closed

problem with miniperl #9384

p5pRT opened this issue Jun 18, 2008 · 10 comments

Comments

@p5pRT
Copy link

p5pRT commented Jun 18, 2008

Migrated from rt.perl.org#55980 (status was 'resolved')

Searchable as RT55980$

@p5pRT
Copy link
Author

p5pRT commented Jun 18, 2008

From shanthi.m.srinivasan@convergys.com

Hi,

I configured perl5.8.8 on Linux machine,

when I rum make getting the below error, I searched many sites but cannot
get the solution.

Is there any solution
make : at the end

gcc -L/usr/local/lib64 -o miniperl \
  miniperlmain.o opmini.o libperl.a
libperl.a(pp.o)​: In function `Perl_pp_int'​:
pp.c​:(.text+0x9681)​: undefined reference to `floor'
pp.c​:(.text+0x96b5)​: undefined reference to `ceil'
libperl.a(pp.o)​: In function `Perl_pp_sqrt'​:
pp.c​:(.text+0x9825)​: undefined reference to `sqrt'
libperl.a(pp.o)​: In function `Perl_pp_log'​:
pp.c​:(.text+0x9924)​: undefined reference to `log'
libperl.a(pp.o)​: In function `Perl_pp_exp'​:
pp.c​:(.text+0x9a95)​: undefined reference to `exp'
libperl.a(pp.o)​: In function `Perl_pp_cos'​:
pp.c​:(.text+0x9da5)​: undefined reference to `cos'
libperl.a(pp.o)​: In function `Perl_pp_sin'​:
pp.c​:(.text+0x9ef5)​: undefined reference to `sin'
libperl.a(pp.o)​: In function `Perl_pp_atan2'​:
pp.c​:(.text+0xa0c5)​: undefined reference to `atan2'
libperl.a(pp.o)​: In function `Perl_pp_modulo'​:
pp.c​:(.text+0xc64f)​: undefined reference to `floor'
pp.c​:(.text+0xc697)​: undefined reference to `fmod'
pp.c​:(.text+0xc8a5)​: undefined reference to `floor'
libperl.a(pp.o)​: In function `Perl_pp_pow'​:
pp.c​:(.text+0xca48)​: undefined reference to `pow'
libperl.a(pp_pack.o)​: In function `S_pack_rec'​:
pp_pack.c​:(.text+0x258d)​: undefined reference to `floor'
pp_pack.c​:(.text+0x25cf)​: undefined reference to `floor'
collect2​: ld returned 1 exit status
make​: *** [miniperl] Error 1

Regards
Srini

@p5pRT
Copy link
Author

p5pRT commented Jun 18, 2008

From Robin.Barker@npl.co.uk

Hi

Your problem seems to be a missing maths library, perhaps a missing 64 bit maths library.

Please run the ./myconfig shell script,
and mail its output (with subject "RE​: [perl #55980]") to perlbug@​perl.org.
This will allow us to see what libraries and flags your build was configured to use.

Robin

@p5pRT
Copy link
Author

p5pRT commented Jun 18, 2008

The RT System itself - Status changed from 'new' to 'open'

@p5pRT
Copy link
Author

p5pRT commented Jun 18, 2008

From @Tux

On Wed, 18 Jun 2008 00​:18​:44 -0700, "shanthi.m.srinivasan@​convergys.com
(via RT)" <perlbug-followup@​perl.org> wrote​:

# New Ticket Created by shanthi.m.srinivasan@​convergys.com
# Please include the string​: [perl #55980]
# in the subject line of all future correspondence about this issue.
# <URL​: http​://rt.perl.org/rt3/Ticket/Display.html?id=55980 >

Hi,

I configured perl5.8.8 on Linux machine,

when I rum make getting the below error, I searched many sites but cannot
get the solution.

Is that an AIX machine?

Is there any solution

Install the correct libm.so, libm.sl, or libm.a

If it is an AIX box, install this patch, and see if Configure exists
nicely​:
--8<---

Inline Patch
--- hints/aix.sh        2007-06-22 16:56:42 +0200
+++ hints/aix.sh.new    2008-04-29 17:47:47 +0200
@@ -80,6 +80,12 @@ EOF
        ;;
     esac

+ s=`lslpp -lc bos.adt.libm >/dev/null`
+if [ $? != 0 ]; then
+    echo "You cannot build perl without the bos.adt.libm package installed" >&4
+    exit
+    fi
+
 # uname -m output is too specific and not appropriate here
 case "$archname" in
     '') archname="$osname" ;;
-->8---  

> make : at the end > > > gcc \-L/usr/local/lib64 \-o miniperl \\ > miniperlmain\.o opmini\.o libperl\.a > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_int'​: > pp\.c​:\(\.text\+0x9681\)​: undefined reference to \`floor' > pp\.c​:\(\.text\+0x96b5\)​: undefined reference to \`ceil' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_sqrt'​: > pp\.c​:\(\.text\+0x9825\)​: undefined reference to \`sqrt' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_log'​: > pp\.c​:\(\.text\+0x9924\)​: undefined reference to \`log' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_exp'​: > pp\.c​:\(\.text\+0x9a95\)​: undefined reference to \`exp' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_cos'​: > pp\.c​:\(\.text\+0x9da5\)​: undefined reference to \`cos' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_sin'​: > pp\.c​:\(\.text\+0x9ef5\)​: undefined reference to \`sin' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_atan2'​: > pp\.c​:\(\.text\+0xa0c5\)​: undefined reference to \`atan2' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_modulo'​: > pp\.c​:\(\.text\+0xc64f\)​: undefined reference to \`floor' > pp\.c​:\(\.text\+0xc697\)​: undefined reference to \`fmod' > pp\.c​:\(\.text\+0xc8a5\)​: undefined reference to \`floor' > libperl\.a\(pp\.o\)​: In function \`Perl\_pp\_pow'​: > pp\.c​:\(\.text\+0xca48\)​: undefined reference to \`pow' > libperl\.a\(pp\_pack\.o\)​: In function \`S\_pack\_rec'​: > pp\_pack\.c​:\(\.text\+0x258d\)​: undefined reference to \`floor' > pp\_pack\.c​:\(\.text\+0x25cf\)​: undefined reference to \`floor' > collect2​: ld returned 1 exit status > make​: \*\*\* \[miniperl\] Error 1

--
H.Merijn Brand Amsterdam Perl Mongers (http​://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.10.x on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.1 & 10.2, AIX 5.2, and Cygwin. http​://qa.perl.org
http​://mirrors.develooper.com/hpux/ http​://www.test-smoke.org
  http​://www.goldmark.org/jeff/stupid-disclaimers/

@p5pRT
Copy link
Author

p5pRT commented Jun 19, 2008

From shanthi.m.srinivasan@convergys.com

Thanks for the support,

Attaching the output

gulch% ./myconfig
Summary of my perl5 (revision 5 version 8 subversion 8) configuration​:
  Platform​:
  osname=linux, osvers=2.6.18-8.el5, archname=x86_64-linux
  uname='linux gulch 2.6.18-8.el5 #1 smp fri jan 26 14​:15​:14 est 2007
x86_64 x86_64 x86_64 gnulinux '
  config_args=''
  hint=recommended, useposix=true, d_sigaction=define
  usethreads=undef use5005threads=undef useithreads=undef
usemultiplicity=undef
  useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
  use64bitint=define use64bitall=define uselongdouble=undef
  usemymalloc=n, bincompat5005=undef
  Compiler​:
  cc='cc', ccflags ='-fno-strict-aliasing -pipe
-Wdeclaration-after-statement -I/usr/local/include -D_LARGEFIL
E_SOURCE -D_FILE_OFFSET_BITS=64',
  optimize='-O2',
  cppflags='-fno-strict-aliasing -pipe -Wdeclaration-after-statement
-I/usr/local/include'
  ccversion='', gccversion='4.1.1 20070105 (Red Hat 4.1.1-52)',
gccosandvers=''
  intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
  d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
  ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t',
lseeksize=8
  alignbytes=8, prototype=define
  Linker and Libraries​:
  ld='ld', ldflags =' -L/usr/local/lib'
  libpth=/usr/local/lib /lib /usr/lib
  libs=
  perllibs=
  libc=/lib/libc-2.5.so, so=so, useshrplib=false, libperl=libperl.a
  gnulibc_version='2.5'
  Dynamic Linking​:
  dlsrc=dl_none.xs, dlext=none, d_dlsymun=undef, ccdlflags=''
  cccdlflags='', lddlflags=''

gulch% uname -a
Linux gulch 2.6.18-8.el5 #1 SMP Fri Jan 26 14​:15​:14 EST 2007 x86_64

Regards
S.Muthu.Srinivasan
VOIP :1.513-78-42562

"Robin Barker" <Robin.Barker@​npl.co.uk>
06/18/2008 07​:42 PM

To
Shanthi M Srinivasan/CIMG/CVG@​CVG
cc
<bugs-bitbucket@​netlabs.develooper.com>, <perl5-porters@​perl.org>
Subject
RE​: [perl #55980] problem with miniperl

Hi

Your problem seems to be a missing maths library, perhaps a missing 64 bit
maths library.

Please run the ./myconfig shell script,
and mail its output (with subject "RE​: [perl #55980]") to
perlbug@​perl.org.
This will allow us to see what libraries and flags your build was
configured to use.

Robin

@p5pRT
Copy link
Author

p5pRT commented Jun 20, 2008

From @smpeters

On Thu, Jun 19, 2008 at 12​:11 AM, <shanthi.m.srinivasan@​convergys.com> wrote​:

Thanks for the support,

Attaching the output

gulch% ./myconfig
Summary of my perl5 (revision 5 version 8 subversion 8) configuration​:
Platform​:
osname=linux, osvers=2.6.18-8.el5, archname=x86_64-linux
uname='linux gulch 2.6.18-8.el5 #1 smp fri jan 26 14​:15​:14 est 2007
x86_64 x86_64 x86_64 gnulinux '
config_args=''
hint=recommended, useposix=true, d_sigaction=define
usethreads=undef use5005threads=undef useithreads=undef
usemultiplicity=undef
useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
use64bitint=define use64bitall=define uselongdouble=undef
usemymalloc=n, bincompat5005=undef
Compiler​:
cc='cc', ccflags ='-fno-strict-aliasing -pipe
-Wdeclaration-after-statement -I/usr/local/include -D_LARGEFIL
E_SOURCE -D_FILE_OFFSET_BITS=64',
optimize='-O2',
cppflags='-fno-strict-aliasing -pipe -Wdeclaration-after-statement
-I/usr/local/include'
ccversion='', gccversion='4.1.1 20070105 (Red Hat 4.1.1-52)',
gccosandvers=''
intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t',
lseeksize=8
alignbytes=8, prototype=define
Linker and Libraries​:
ld='ld', ldflags =' -L/usr/local/lib'
libpth=/usr/local/lib /lib /usr/lib
libs=
perllibs=
libc=/lib/libc-2.5.so, so=so, useshrplib=false, libperl=libperl.a
gnulibc_version='2.5'
Dynamic Linking​:
dlsrc=dl_none.xs, dlext=none, d_dlsymun=undef, ccdlflags=''
cccdlflags='', lddlflags=''

gulch% uname -a
Linux gulch 2.6.18-8.el5 #1 SMP Fri Jan 26 14​:15​:14 EST 2007 x86_64

OK, do you have a /usr/lib and a /usr/lib64 on that computer? Is
there a libm in one or both of those directories?

Steve Peters
steve@​fisharerojo.org

@p5pRT
Copy link
Author

p5pRT commented Jun 23, 2008

From @smpeters

On Mon, Jun 23, 2008 at 1​:16 AM, <shanthi.m.srinivasan@​convergys.com> wrote​:

Below are the files under /usr/lib and /usr/lib64

/usr/lib64
gulch% ls libm*
libm.a libmagic.so.1.0.0 libmenuw.so.5
libmetacity-private.so.0 libmp.so.3
libmagic.a libmcheck.a libmenuw.so.5.5
libmetacity-private.so.0.0.0 libmp.so.3.1.7
libmagic.so libmenu.so.5 libmetacity-private.a libmng.so.1
libm.so
libmagic.so.1 libmenu.so.5.5 libmetacity-private.so libmng.so.1.0.0

/usr/lib
gulch% ls libm*
libmenu.so.5 libmenu.so.5.5 libmenuw.so.5 libmenuw.so.5.5

Thanks
Muthu

"Steve Peters via RT" <perlbug-followup@​perl.org>

06/20/2008 04​:55 PM

Please respond to
perlbug-followup@​perl.org
To
Shanthi M Srinivasan/CIMG/CVG@​CVG
cc
Subject
Re​: [perl #55980] problem with miniperl

On Thu, Jun 19, 2008 at 12​:11 AM, <shanthi.m.srinivasan@​convergys.com>
wrote​:

Thanks for the support,

Attaching the output

gulch% ./myconfig
Summary of my perl5 (revision 5 version 8 subversion 8) configuration​:
Platform​:
osname=linux, osvers=2.6.18-8.el5, archname=x86_64-linux
uname='linux gulch 2.6.18-8.el5 #1 smp fri jan 26 14​:15​:14 est 2007
x86_64 x86_64 x86_64 gnulinux '
config_args=''
hint=recommended, useposix=true, d_sigaction=define
usethreads=undef use5005threads=undef useithreads=undef
usemultiplicity=undef
useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
use64bitint=define use64bitall=define uselongdouble=undef
usemymalloc=n, bincompat5005=undef
Compiler​:
cc='cc', ccflags ='-fno-strict-aliasing -pipe
-Wdeclaration-after-statement -I/usr/local/include -D_LARGEFIL
E_SOURCE -D_FILE_OFFSET_BITS=64',
optimize='-O2',
cppflags='-fno-strict-aliasing -pipe -Wdeclaration-after-statement
-I/usr/local/include'
ccversion='', gccversion='4.1.1 20070105 (Red Hat 4.1.1-52)',
gccosandvers=''
intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t',
lseeksize=8
alignbytes=8, prototype=define
Linker and Libraries​:
ld='ld', ldflags =' -L/usr/local/lib'
libpth=/usr/local/lib /lib /usr/lib
libs=
perllibs=
libc=/lib/libc-2.5.so, so=so, useshrplib=false, libperl=libperl.a
gnulibc_version='2.5'
Dynamic Linking​:
dlsrc=dl_none.xs, dlext=none, d_dlsymun=undef, ccdlflags=''
cccdlflags='', lddlflags=''

gulch% uname -a
Linux gulch 2.6.18-8.el5 #1 SMP Fri Jan 26 14​:15​:14 EST 2007 x86_64

OK, do you have a /usr/lib and a /usr/lib64 on that computer? Is
there a libm in one or both of those directories?

Steve Peters
steve@​fisharerojo.org

OK, looking at your system, you have your libm in /usr/lib64, but only
/usr/lib is included. I thought this problem had been handled in
bleadperl at least by now. Let me check into that.

Steve Peters
steve@​fisharerojo.org

@p5pRT
Copy link
Author

p5pRT commented Jun 23, 2008

From shanthi.m.srinivasan@convergys.com

Below are the files under /usr/lib and /usr/lib64

/usr/lib64
gulch% ls libm*
libm.a libmagic.so.1.0.0 libmenuw.so.5 libmetacity-private.so.0
libmp.so.3
libmagic.a libmcheck.a libmenuw.so.5.5
libmetacity-private.so.0.0.0 libmp.so.3.1.7
libmagic.so libmenu.so.5 libmetacity-private.a libmng.so.1
libm.so
libmagic.so.1 libmenu.so.5.5 libmetacity-private.so libmng.so.1.0.0

/usr/lib
gulch% ls libm*
libmenu.so.5 libmenu.so.5.5 libmenuw.so.5 libmenuw.so.5.5

Thanks
Muthu

"Steve Peters via RT" <perlbug-followup@​perl.org>
06/20/2008 04​:55 PM
Please respond to
perlbug-followup@​perl.org

To
Shanthi M Srinivasan/CIMG/CVG@​CVG
cc

Subject
Re​: [perl #55980] problem with miniperl

On Thu, Jun 19, 2008 at 12​:11 AM, <shanthi.m.srinivasan@​convergys.com>
wrote​:

Thanks for the support,

Attaching the output

gulch% ./myconfig
Summary of my perl5 (revision 5 version 8 subversion 8) configuration​:
Platform​:
osname=linux, osvers=2.6.18-8.el5, archname=x86_64-linux
uname='linux gulch 2.6.18-8.el5 #1 smp fri jan 26 14​:15​:14 est 2007
x86_64 x86_64 x86_64 gnulinux '
config_args=''
hint=recommended, useposix=true, d_sigaction=define
usethreads=undef use5005threads=undef useithreads=undef
usemultiplicity=undef
useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
use64bitint=define use64bitall=define uselongdouble=undef
usemymalloc=n, bincompat5005=undef
Compiler​:
cc='cc', ccflags ='-fno-strict-aliasing -pipe
-Wdeclaration-after-statement -I/usr/local/include -D_LARGEFIL
E_SOURCE -D_FILE_OFFSET_BITS=64',
optimize='-O2',
cppflags='-fno-strict-aliasing -pipe -Wdeclaration-after-statement
-I/usr/local/include'
ccversion='', gccversion='4.1.1 20070105 (Red Hat 4.1.1-52)',
gccosandvers=''
intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t',
lseeksize=8
alignbytes=8, prototype=define
Linker and Libraries​:
ld='ld', ldflags =' -L/usr/local/lib'
libpth=/usr/local/lib /lib /usr/lib
libs=
perllibs=
libc=/lib/libc-2.5.so, so=so, useshrplib=false, libperl=libperl.a
gnulibc_version='2.5'
Dynamic Linking​:
dlsrc=dl_none.xs, dlext=none, d_dlsymun=undef, ccdlflags=''
cccdlflags='', lddlflags=''

gulch% uname -a
Linux gulch 2.6.18-8.el5 #1 SMP Fri Jan 26 14​:15​:14 EST 2007 x86_64

OK, do you have a /usr/lib and a /usr/lib64 on that computer? Is
there a libm in one or both of those directories?

Steve Peters
steve@​fisharerojo.org

@p5pRT
Copy link
Author

p5pRT commented Jun 25, 2008

From @doughera88

On Mon, 23 Jun 2008, Steve Peters wrote​:

On Mon, Jun 23, 2008 at 1​:16 AM, <shanthi.m.srinivasan@​convergys.com> wrote​:

Below are the files under /usr/lib and /usr/lib64

OK, looking at your system, you have your libm in /usr/lib64, but only
/usr/lib is included. I thought this problem had been handled in
bleadperl at least by now. Let me check into that.

Yes, This problem is fixed in perl-5.10.0, which was released 6 months
ago.

If you still want to build 5.8.8 for some reason, the fix is easy.

If you run Configure interactively, then when it prompts you
 
  Directories to use for library searches?
  [/usr/local/lib /lib /usr/lib]

you can just add in /lib64 and /usr/lib64.

If you want to do it from the Configure command line, you can do

  sh Configure -Dplibpth='/lib64 /usr/lib64'
 
Hope this helps,

--
  Andy Dougherty doughera@​lafayette.edu

@p5pRT
Copy link
Author

p5pRT commented Aug 3, 2008

p5p@spam.wizbit.be - Status changed from 'open' to 'resolved'

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

No branches or pull requests

1 participant